Altimax\Apidae\Core\Entity\SitraCommune:
    type: entity
    table: sitra_commune
    repositoryClass: Altimax\Apidae\Core\Repository\SitraCommune
    indexes:
        pays_element_reference_sitra_id:
            columns:
                - pays_element_reference_sitra_id
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        communeSitraId:
            type: integer
            nullable: false
            unsigned: false
            comment: 'Id SITRA de la commune'
            column: commune_sitra_id
        code:
            type: string
            nullable: true
            length: 50
            fixed: false
            comment: ''
        nom:
            type: string
            nullable: false
            length: 150
            fixed: false
            comment: ''
        codePostal:
            type: string
            nullable: true
            length: 35
            fixed: false
            comment: ''
            column: code_postal
        toDelete:
            type: boolean
            nullable: false
            comment: ''
            default: '0'
            column: to_delete
    manyToOne:
        paysElementReferenceSitra:
            targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                pays_element_reference_sitra_id:
                    referencedColumnName: id
                    onDelete: SET NULL
            orphanRemoval: false
    manyToMany:
        territoire:
            targetEntity: Altimax\Apidae\Core\Entity\SitraTerritoire
            cascade: {  }
            mappedBy: commune
            inversedBy: null
            joinTable: null
            orderBy: null
            fetch: EXTRA_LAZY
    lifecycleCallbacks: {  }
